## ros-one-ddynamic-reconfigure 0.4.1-2jammy.20260220.2338

=== debian/changelog ===
ros-one-ddynamic-reconfigure (0.4.1-2jammy.20260220.2338) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Hilario Tome <hilario.tome@pal-robotics.com>  Fri, 20 Feb 2026 23:38:19 +0000

ros-one-ddynamic-reconfigure (0.4.1-0jammy) jammy; urgency=high

  * Merge branch 'atomic-fix' into 'erbium-devel'
    Fix missing atomic header
    See merge request control/ddynamic_reconfigure!19
  * Fix missing atomic header
  * Update README about c++11 requirements
  * Contributors: Adria Roig, Victor Lopez, victor

 -- Hilario Tome <hilario.tome@pal-robotics.com>  Mon, 18 Jan 2021 00:00:00 -0000

ros-one-ddynamic-reconfigure (0.4.0-0jammy) jammy; urgency=high

  * Merge branch 'cosmetic_fixes' into 'erbium-devel'
    update clang format styling
    See merge request control/ddynamic_reconfigure!17
  * Merge branch 'rt_thread_safe' into 'cosmetic_fixes'
    Rt thread safe
    See merge request control/ddynamic_reconfigure!18
  * update assignValue method to pass every arg by const reference
  * remove the deferred async from tests
  * fix to update the configuration data proper way
  * minor fixes to the method documentation
  * update assignValue function to pass string by const reference
  * Added tests for the manual update of registered variables data
  * Added updateRegisteredVariablesData method to update the registered variables
  * Don't update the config if manual update is chosen
  * added auto_update option to the constructor
  * added updateConfigData method
  * changed the methods to be virtual
  * update clang format styling
  * Contributors: Sai Kishor Kothakota, victor

 -- Hilario Tome <hilario.tome@pal-robotics.com>  Tue, 12 Jan 2021 00:00:00 -0000

ros-one-ddynamic-reconfigure (0.3.2-0jammy) jammy; urgency=high

  * Merge branch 'pointer-with-callback' into 'erbium-devel'
    Add new function that takes pointer and a callback
    See merge request control/ddynamic_reconfigure!16
  * Add new function that takes pointer and a callback
  * Contributors: Victor Lopez, victor

 -- Hilario Tome <hilario.tome@pal-robotics.com>  Tue, 27 Oct 2020 00:00:00 -0000

ros-one-ddynamic-reconfigure (0.3.1-0jammy) jammy; urgency=high

  * Merge pull request #18 from clearpathrobotics/issue_17
    Reverse the order of creation of the topic publisher and rosservice
  * Reverse the order of creation of the topic publisher and rosservice to prevent startup race conditions leading to crash.
    issue: #17
  * Contributors: Guillaume Autran, Victor Lopez

 -- Hilario Tome <hilario.tome@pal-robotics.com>  Thu, 08 Oct 2020 00:00:00 -0000

ros-one-ddynamic-reconfigure (0.3.0-0jammy) jammy; urgency=high

  * Merge pull request #12 from eurogroep/feat/groups
    feat(groups): Option to specify a group for a variable
  * feat(groups): Option to specify a group for a variable
    The group "Default" will be set as default so no behavior will change.
    However, this commit will break ABI / API compatibility.
  * Contributors: Rein Appeldoorn, Victor Lopez

 -- Hilario Tome <hilario.tome@pal-robotics.com>  Mon, 04 May 2020 00:00:00 -0000

ros-one-ddynamic-reconfigure (0.2.3-0jammy) jammy; urgency=high

  * Merge pull request #10 from ooeygui/kinetic-devel
    Support Windows
  * Windows support
  * Fix for Windows
  * Fix getMax(), wrong numeric_limit
  * Add example for DDR with NodeHandle
  * Merge pull request #7 from reinzor/patch-1
    Update README.md - show proper heading
  * Update README.md
  * Contributors: Lou Amadio, Rein Appeldoorn, Victor Lopez

 -- Hilario Tome <hilario.tome@pal-robotics.com>  Fri, 10 Apr 2020 00:00:00 -0000

ros-one-ddynamic-reconfigure (0.2.2-0jammy) jammy; urgency=high

  * Add SYSTEM include_directories
  * Contributors: Victor Lopez

 -- Hilario Tome <hilario.tome@pal-robotics.com>  Wed, 04 Sep 2019 00:00:00 -0000

ros-one-ddynamic-reconfigure (0.2.1-0jammy) jammy; urgency=high

  * Merge branch 'fix-double-comparison' into 'erbium-devel'
    Fix double comparison
    See merge request control/ddynamic_reconfigure!14
  * Fix double comparison
  * Add BSD License text
  * Contributors: Victor Lopez

 -- Hilario Tome <hilario.tome@pal-robotics.com>  Wed, 28 Aug 2019 00:00:00 -0000

ros-one-ddynamic-reconfigure (0.2.0-0jammy) jammy; urgency=high

  * Merge branch 'refactor-functions' into 'erbium-devel'
    Accept functions callback per individual variable
    See merge request control/ddynamic_reconfigure!12
  * Extend readme
  * Add string and cleanup implementation
  * Add enums and callbacks
  * Accept functions callback per individual variable
  * Contributors: Victor Lopez

 -- Hilario Tome <hilario.tome@pal-robotics.com>  Thu, 21 Mar 2019 00:00:00 -0000

ros-one-ddynamic-reconfigure (0.1.7-0jammy) jammy; urgency=high

  * Merge branch 'fix-gmock-dependency' into 'erbium-devel'
    Rename gmock dependency for public release
    See merge request control/ddynamic_reconfigure!11
  * Rename gmock dependency for public release
  * Contributors: Victor Lopez

 -- Hilario Tome <hilario.tome@pal-robotics.com>  Wed, 20 Mar 2019 00:00:00 -0000

ros-one-ddynamic-reconfigure (0.1.6-0jammy) jammy; urgency=high

  * Merge branch 'ddr_debug_msg' into 'erbium-devel'
    changed info msg to debug
    See merge request control/ddynamic_reconfigure!10
  * changed info msg to debug
  * Change license to BSD
  * Remove internal build system link
  * Contributors: Hilario Tome, Victor Lopez

 -- Hilario Tome <hilario.tome@pal-robotics.com>  Tue, 11 Dec 2018 00:00:00 -0000

ros-one-ddynamic-reconfigure (0.1.5-0jammy) jammy; urgency=high

  * Merge branch 'fix-test' into 'erbium-devel'
    Fix test
    See merge request control/ddynamic_reconfigure!9
  * Fix comment regarding spin_thread
  * Fix failing test due to removal of spin_thread
  * Contributors: Victor Lopez

 -- Hilario Tome <hilario.tome@pal-robotics.com>  Tue, 09 Oct 2018 00:00:00 -0000

ros-one-ddynamic-reconfigure (0.1.4-0jammy) jammy; urgency=high

  * Merge branch 'fix-spammy' into 'erbium-devel'


## ros-one-ddynamic-reconfigure 0.4.1-2noble.20260220.2359

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(ddynamic_reconfigure)

find_package(catkin REQUIRED COMPONENTS
  dynamic_reconfigure
  roscpp
)

set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS roscpp dynamic_reconfigure
)

include_directories(
  include
)
include_directories(
  SYSTEM 
  ${catkin_INCLUDE_DIRS}
)

add_library(${PROJECT_NAME} src/ddynamic_reconfigure.cpp)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})
#add_executable(dynamic_reconfigure_node src/dynamic_reconfigure_node.cpp)
#target_link_libraries(dynamic_reconfigure_node ${catkin_LIBRARIES})

#make sure configure headers are built before any node using them
#add_dependencies(dynamic_reconfigure_node ${PROJECT_NAME}_gencfg)

#############  Test #################
add_executable(fake_dynamic_reconfigure_server test/fake_dynamic_reconfigure_server.cpp)
target_link_libraries(fake_dynamic_reconfigure_server ${PROJECT_NAME} ${catkin_LIBRARIES})

add_executable(test_bool_dynamic_reconfigure_server test/test_bool_dynamic_reconfigure_server.cpp)
target_link_libraries(test_bool_dynamic_reconfigure_server ${PROJECT_NAME} ${catkin_LIBRARIES})

install(TARGETS ${PROJECT_NAME}
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

#############
## Testing ##
#############

if (CATKIN_ENABLE_TESTING)
    find_package(rostest REQUIRED)
    if (NOT WIN32)
    add_rostest_gmock(ddynamic_reconfigure-test test/ddynamic_reconfigure.test test/test_ddynamic_reconfigure.cpp)
    target_link_libraries(ddynamic_reconfigure-test
                                ${PROJECT_NAME})
    endif()
    
    add_executable(ddynamic_reconfigure_auto_update_test
        test/ddynamic_reconfigure_auto_update_test.cpp)
    target_link_libraries(ddynamic_reconfigure_auto_update_test ${PROJECT_NAME}
        ${catkin_LIBRARIES})

endif(CATKIN_ENABLE_TESTING)

=== debian/changelog ===
ros-one-ddynamic-reconfigure (0.4.1-2noble.20260220.2359) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Hilario Tome <hilario.tome@pal-robotics.com>  Fri, 20 Feb 2026 23:59:48 +0000

ros-one-ddynamic-reconfigure (0.4.1-0noble) noble; urgency=high

  * Merge branch 'atomic-fix' into 'erbium-devel'
    Fix missing atomic header
    See merge request control/ddynamic_reconfigure!19
  * Fix missing atomic header
  * Update README about c++11 requirements
  * Contributors: Adria Roig, Victor Lopez, victor

 -- Hilario Tome <hilario.tome@pal-robotics.com>  Mon, 18 Jan 2021 00:00:00 -0000

ros-one-ddynamic-reconfigure (0.4.0-0noble) noble; urgency=high

  * Merge branch 'cosmetic_fixes' into 'erbium-devel'
    update clang format styling
    See merge request control/ddynamic_reconfigure!17
  * Merge branch 'rt_thread_safe' into 'cosmetic_fixes'
    Rt thread safe
    See merge request control/ddynamic_reconfigure!18
  * update assignValue method to pass every arg by const reference
  * remove the deferred async from tests
  * fix to update the configuration data proper way
  * minor fixes to the method documentation
  * update assignValue function to pass string by const reference
  * Added tests for the manual update of registered variables data
  * Added updateRegisteredVariablesData method to update the registered variables
  * Don't update the config if manual update is chosen
  * added auto_update option to the constructor
  * added updateConfigData method
  * changed the methods to be virtual
  * update clang format styling
  * Contributors: Sai Kishor Kothakota, victor

 -- Hilario Tome <hilario.tome@pal-robotics.com>  Tue, 12 Jan 2021 00:00:00 -0000

ros-one-ddynamic-reconfigure (0.3.2-0noble) noble; urgency=high

  * Merge branch 'pointer-with-callback' into 'erbium-devel'
    Add new function that takes pointer and a callback
    See merge request control/ddynamic_reconfigure!16
  * Add new function that takes pointer and a callback
  * Contributors: Victor Lopez, victor

 -- Hilario Tome <hilario.tome@pal-robotics.com>  Tue, 27 Oct 2020 00:00:00 -0000

ros-one-ddynamic-reconfigure (0.3.1-0noble) noble; urgency=high

  * Merge pull request #18 from clearpathrobotics/issue_17
    Reverse the order of creation of the topic publisher and rosservice
  * Reverse the order of creation of the topic publisher and rosservice to prevent startup race conditions leading to crash.
    issue: #17
  * Contributors: Guillaume Autran, Victor Lopez

 -- Hilario Tome <hilario.tome@pal-robotics.com>  Thu, 08 Oct 2020 00:00:00 -0000

ros-one-ddynamic-reconfigure (0.3.0-0noble) noble; urgency=high

  * Merge pull request #12 from eurogroep/feat/groups
    feat(groups): Option to specify a group for a variable
  * feat(groups): Option to specify a group for a variable
    The group "Default" will be set as default so no behavior will change.
    However, this commit will break ABI / API compatibility.
  * Contributors: Rein Appeldoorn, Victor Lopez

 -- Hilario Tome <hilario.tome@pal-robotics.com>  Mon, 04 May 2020 00:00:00 -0000

ros-one-ddynamic-reconfigure (0.2.3-0noble) noble; urgency=high

  * Merge pull request #10 from ooeygui/kinetic-devel
    Support Windows
  * Windows support
  * Fix for Windows
  * Fix getMax(), wrong numeric_limit
  * Add example for DDR with NodeHandle
  * Merge pull request #7 from reinzor/patch-1
    Update README.md - show proper heading
  * Update README.md
  * Contributors: Lou Amadio, Rein Appeldoorn, Victor Lopez

 -- Hilario Tome <hilario.tome@pal-robotics.com>  Fri, 10 Apr 2020 00:00:00 -0000

ros-one-ddynamic-reconfigure (0.2.2-0noble) noble; urgency=high

  * Add SYSTEM include_directories
  * Contributors: Victor Lopez

 -- Hilario Tome <hilario.tome@pal-robotics.com>  Wed, 04 Sep 2019 00:00:00 -0000

ros-one-ddynamic-reconfigure (0.2.1-0noble) noble; urgency=high

  * Merge branch 'fix-double-comparison' into 'erbium-devel'
    Fix double comparison
    See merge request control/ddynamic_reconfigure!14
  * Fix double comparison
  * Add BSD License text
  * Contributors: Victor Lopez

 -- Hilario Tome <hilario.tome@pal-robotics.com>  Wed, 28 Aug 2019 00:00:00 -0000

ros-one-ddynamic-reconfigure (0.2.0-0noble) noble; urgency=high

  * Merge branch 'refactor-functions' into 'erbium-devel'
    Accept functions callback per individual variable
    See merge request control/ddynamic_reconfigure!12
  * Extend readme
  * Add string and cleanup implementation
  * Add enums and callbacks
  * Accept functions callback per individual variable
  * Contributors: Victor Lopez

 -- Hilario Tome <hilario.tome@pal-robotics.com>  Thu, 21 Mar 2019 00:00:00 -0000

ros-one-ddynamic-reconfigure (0.1.7-0noble) noble; urgency=high

  * Merge branch 'fix-gmock-dependency' into 'erbium-devel'
    Rename gmock dependency for public release
    See merge request control/ddynamic_reconfigure!11
  * Rename gmock dependency for public release
  * Contributors: Victor Lopez

 -- Hilario Tome <hilario.tome@pal-robotics.com>  Wed, 20 Mar 2019 00:00:00 -0000

ros-one-ddynamic-reconfigure (0.1.6-0noble) noble; urgency=high

  * Merge branch 'ddr_debug_msg' into 'erbium-devel'
    changed info msg to debug
    See merge request control/ddynamic_reconfigure!10
  * changed info msg to debug
  * Change license to BSD
  * Remove internal build system link
  * Contributors: Hilario Tome, Victor Lopez

 -- Hilario Tome <hilario.tome@pal-robotics.com>  Tue, 11 Dec 2018 00:00:00 -0000

ros-one-ddynamic-reconfigure (0.1.5-0noble) noble; urgency=high

  * Merge branch 'fix-test' into 'erbium-devel'
    Fix test
    See merge request control/ddynamic_reconfigure!9
  * Fix comment regarding spin_thread
  * Fix failing test due to removal of spin_thread
  * Contributors: Victor Lopez

 -- Hilario Tome <hilario.tome@pal-robotics.com>  Tue, 09 Oct 2018 00:00:00 -0000

ros-one-ddynamic-reconfigure (0.1.4-0noble) noble; urgency=high

  * Merge branch 'fix-spammy' into 'erbium-devel'


=== debian/control ===
Source: ros-one-ddynamic-reconfigure
Section: misc
Priority: optional
Maintainer: Hilario Tome <hilario.tome@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-dynamic-reconfigure, ros-one-roscpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-ddynamic-reconfigure
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-dynamic-reconfigure, ros-one-roscpp
Description: The ddynamic_reconfigure package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-ddynamic-reconfigure//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install
